package com.yizhi.system.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * com.yizhi.application.feign
 *
 * @author yanglang
 * @create 2024-12-20 15:52:40
 */
@FeignClient(name = "system", contextId = "DictionaryFeignClients")
public interface DictionaryFeignClients {

    @GetMapping(value = "/dictionary/insertBySearchName")
    boolean insertBySearchName(@RequestParam("searchName") String searchName);
}
